Upstream information

CVE-2021-33195 at MITRE

Description

Go before 1.15.12 and 1.16.x before 1.16.5 allows injection.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 6.1
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:C/C:N/I:H/A:N
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Impact None
Integrity Impact High
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1187443 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-2214
SUSE Enterprise Storage 6
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-Storage-6-2021-2214
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-2214
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-2214
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
  • go1.16 >= 1.16.5-1.17.1
  • go1.16-doc >= 1.16.5-1.17.1
  • go1.16-race >= 1.16.5-1.17.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-2186
SUSE-SLE-Module-Development-Tools-15-SP2-2021-2214
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
  • go1.16 >= 1.16.5-1.17.1
  • go1.16-doc >= 1.16.5-1.17.1
  • go1.16-race >= 1.16.5-1.17.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2186
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2214
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP3
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP3-2021-2214
SUSE Linux Enterprise Server 15 SP1-BCL
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-2214
SUSE Linux Enterprise Server 15 SP1-LTSS
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-2214
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-2214
SUSE Manager Proxy 4.0
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-2214
SUSE Manager Retail Branch Server 4.0
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-2214
SUSE Manager Server 4.0
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-2214
openSUSE Leap 15.2
  • go1.15 >= 1.15.13-lp152.20.1
  • go1.15-doc >= 1.15.13-lp152.20.1
  • go1.15-race >= 1.15.13-lp152.20.1
Patchnames:
openSUSE-2021-950
openSUSE Leap 15.3
  • go1.15 >= 1.15.13-1.33.1
  • go1.15-doc >= 1.15.13-1.33.1
  • go1.15-race >= 1.15.13-1.33.1
  • go1.16 >= 1.16.5-1.17.1
  • go1.16-doc >= 1.16.5-1.17.1
  • go1.16-race >= 1.16.5-1.17.1
Patchnames:
openSUSE-SLE-15.3-2021-2186
openSUSE-SLE-15.3-2021-2214


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 go1.14 Ignore
SUSE CaaS Platform 4.0 go1.15 Released
SUSE Enterprise Storage 6 go1.14 Ignore
SUSE Enterprise Storage 6 go1.15 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS go1.15 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS go1.14 Ignore
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS go1.15 Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.14 Ignore
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.15 Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 go1.16 Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.15 Released
SUSE Linux Enterprise Module for Development Tools 15 SP3 go1.16 Released
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux go1.14 Ignore
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux go1.15 Released
SUSE Linux Enterprise Server 15 SP1 LTSS go1.14 Ignore
SUSE Linux Enterprise Server 15 SP1 LTSS go1.15 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP1 go1.14 Ignore
SUSE Linux Enterprise Server for SAP Applications 15 SP1 go1.15 Released
SUSE Manager Proxy 4.0 go1.14 Ignore
SUSE Manager Proxy 4.0 go1.15 Released
SUSE Manager Retail Branch Server 4.0 go1.14 Ignore
SUSE Manager Retail Branch Server 4.0 go1.15 Released
SUSE Manager Server 4.0 go1.14 Ignore
SUSE Manager Server 4.0 go1.15 Released